GDB (xrefs)

Public Attributes | List of all members
step_over_info Struct Reference

## Public Attributes
const address_space * | aspace
CORE_ADDR | address
int | nonsteppable_watchpoint_p
int | thread

## Detailed Description

Definition at line 1278 of file infrun.c.

## Member Data Documentation

## ◆ address

CORE_ADDR step_over_info::address

Definition at line 1285 of file infrun.c.

Referenced by clear_step_over_info(), set_step_over_info(), and stepping_past_instruction_at().

## ◆ aspace

const address_space* step_over_info::aspace

Definition at line 1284 of file infrun.c.

Referenced by clear_step_over_info(), set_step_over_info(), step_over_info_valid_p(), and stepping_past_instruction_at().

## ◆ nonsteppable_watchpoint_p

int step_over_info::nonsteppable_watchpoint_p

Definition at line 1289 of file infrun.c.

Referenced by clear_step_over_info(), set_step_over_info(), and stepping_past_nonsteppable_watchpoint().

## ◆ thread

int step_over_info::thread

Definition at line 1292 of file infrun.c.

Referenced by clear_step_over_info(), set_step_over_info(), and thread_is_stepping_over_breakpoint().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/infrun.c